%define	upstream_name    Catalyst-Runtime
%define upstream_version 5.90104

# remove circular dependency: catalyst::helper is provided by
# catalyst-devel, which itself requires catalyst-runtime to be build.
# moreover, this dependency is only used in an example script, so we do
# not loose anything by removing this dependency
%global __requires_exclude perl.Catalyst::Helper.

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    The Elegant MVC Web Application Framework
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

# jq 2013-11-29 to prevent warnings from core Module::Pluggable

BuildRequires: perl(CGI::Simple::Cookie) >= 1.109.0
BuildRequires: perl(CGI::Struct)
BuildRequires: perl(Carp) >= 1.250.0
BuildRequires: perl(Class::C3::Adopt::NEXT) >= 0.70.0
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::Load) >= 0.120.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(Encode) >= 2.490.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTTP::Body) >= 1.220.0
BuildRequires: perl(HTTP::Headers) >= 1.640.0
BuildRequires: perl(HTTP::Request) >= 5.814.0
BuildRequires: perl(HTTP::Request::AsCGI) >= 1.0.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response) >= 5.813.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Hash::MultiValue)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(JSON::MaybeXS) >= 1.0.0
BuildRequires: perl(LWP) >= 5.837.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Pluggable) >= 4.700.0
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.9.30
BuildRequires: perl(MooseX::Getopt) >= 0.480.0
BuildRequires: perl(MooseX::MethodAttributes::Role::AttrContainer::Inheritable) >= 0.240.0
BuildRequires: perl(MooseX::Role::WithOverloading) >= 0.90.0
BuildRequires: perl(Path::Class) >= 0.90.0
BuildRequires: perl(Plack) >= 0.999.100
BuildRequires: perl(Plack::Middleware::Conditional)
BuildRequires: perl(Plack::Middleware::ContentLength)
BuildRequires: perl(Plack::Middleware::FixMissingBodyInRedirect) >= 0.90.0
BuildRequires: perl(Plack::Middleware::HTTPExceptions)
BuildRequires: perl(Plack::Middleware::Head)
BuildRequires: perl(Plack::Middleware::IIS6ScriptNameFix)
BuildRequires: perl(Plack::Middleware::IIS7KeepAliveFix)
BuildRequires: perl(Plack::Middleware::LighttpdScriptNameFix)
BuildRequires: perl(Plack::Middleware::MethodOverride) >= 0.120.0
BuildRequires: perl(Plack::Middleware::RemoveRedundantBody) >= 0.30.0
BuildRequires: perl(Plack::Middleware::ReverseProxy) >= 0.40.0
BuildRequires: perl(Plack::Request::Upload)
BuildRequires: perl(Plack::Test::ExternalServer)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Stream::Buffered)
BuildRequires: perl(String::RewritePrefix) >= 0.4.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::SimpleTable) >= 0.30.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Tree::Simple) >= 1.150.0
BuildRequires: perl(Tree::Simple::Visitor::FindByPath)
BuildRequires: perl(Try::Tiny) >= 0.170.0
BuildRequires: perl(URI) >= 1.650.0
BuildRequires: perl(URI::ws) >= 0.30.0
BuildRequires: perl(namespace::autoclean) >= 0.280.0
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildRequires: perl-Module-Pluggable
BuildArch:  noarch

# (misc) not auto-detected; as it's on a line with whitespace, it's not taken
# in account by perl.req
Requires:   perl(HTTP::Request::AsCGI) >= 0.500.0
Requires:   perl(MooseX::Emulate::Class::Accessor::Fast)
Provides:   perl-Catalyst = %{version}-%{release}
Obsoletes:  perl-Catalyst
Obsoletes:  perl-Catalyst-Plugin-Unicode-Encoding < 1.900.0-3

%{?perl_default_filter}

%description
Catalyst is an elegant web application framework, extremely flexible yet
extremely simple. It's similar to Ruby on Rails, Spring (Java) and Maypole,
upon which it was originally based.

Catalyst follows the Model-View-Controller (MVC) design pattern, allowing you
to easily separate concerns, like content, presentation, and flow control, into
separate modules. This separation allows you to modify code that handles one
concern without affecting code that handles the others. Catalyst promotes the
re-use of existing Perl modules that already handle common web application
concerns well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{perl_vendorlib}/Catalyst*
%{_bindir}/catalyst.pl
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1:5.901.40-2.mga6
+ Revision: 1023400
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1:5.901.40-1.mga6
+ Revision: 1001714
- update to 5.90104

* Sat Jan 16 2016 shlomif <shlomif> 1:5.901.30-1.mga6
+ Revision: 923738
- update to 5.90103

* Sun Sep 06 2015 sander85 <sander85> 1:5.901.10-1.mga6
+ Revision: 873416
- update to 5.90101

* Wed Jul 29 2015 sander85 <sander85> 1:5.900.970-1.mga6
+ Revision: 858884
- update to 5.90097

* Mon Jul 27 2015 sander85 <sander85> 1:5.900.960-1.mga6
+ Revision: 858298
- update to 5.90096

* Sun Jul 26 2015 sander85 <sander85> 1:5.900.940-1.mga6
+ Revision: 857836
- update to 5.90094

* Sun Jul 05 2015 sander85 <sander85> 1:5.900.930-1.mga6
+ Revision: 850979
- Fix BRs
- update to 5.90093

* Sun Dec 07 2014 sander85 <sander85> 1:5.900.710-5.mga5
+ Revision: 802092
- Fix obsoletes tag

* Wed Oct 15 2014 umeabot <umeabot> 1:5.900.710-4.mga5
+ Revision: 749013
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:5.900.710-3.mga5
+ Revision: 732899
- add exclude
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 1:5.900.710-1.mga5
+ Revision: 661573
- update to 5.90071

* Fri Aug 08 2014 sander85 <sander85> 1:5.900.700-1.mga5
+ Revision: 661017
- update to 5.90070

* Thu Jun 05 2014 sander85 <sander85> 1:5.900.650-1.mga5
+ Revision: 633465
- update to 5.90065

* Tue May 06 2014 jquelin <jquelin> 1:5.900.640-1.mga5
+ Revision: 620446
- update to 5.90064

* Tue Apr 15 2014 jquelin <jquelin> 1:5.900.620-1.mga5
+ Revision: 614815
- update to 5.90062

* Fri Mar 14 2014 jquelin <jquelin> 1:5.900.610-1.mga5
+ Revision: 603660
- update to 5.90061

* Thu Feb 13 2014 jquelin <jquelin> 1:5.900.600-1.mga5
+ Revision: 590653
- update to 5.90060

* Fri Nov 29 2013 jquelin <jquelin> 1:5.900.420-3.mga4
+ Revision: 554045
- adding missing buildrequires:
- obsoleting perl-Catalyst-Plugin-Unicode-Encoding (merged upstream)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1:5.900.420-1.mga4
+ Revision: 446963
- update to 5.90042
- update to 5.90030

* Sun Jan 13 2013 umeabot <umeabot> 1:5.900.180-2.mga3
+ Revision: 364109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1:5.900.180-1.mga3
+ Revision: 315006
- update to 5.90018

* Mon Sep 17 2012 jquelin <jquelin> 1:5.900.160-1.mga3
+ Revision: 295386
- update to 5.90016

* Wed Jul 04 2012 jquelin <jquelin> 1:5.900.150-1.mga3
+ Revision: 267384
- update to 5.90015

* Tue Jun 05 2012 jquelin <jquelin> 1:5.900.120-1.mga3
+ Revision: 255800
- update to 5.90012

* Wed Feb 22 2012 kharec <kharec> 1:5.900.100-1.mga2
+ Revision: 211997
- update to 5.90010

* Thu Dec 08 2011 kharec <kharec> 1:5.900.70-1.mga2
+ Revision: 179246
- update to 5.90007

* Fri Nov 04 2011 jquelin <jquelin> 1:5.900.60-1.mga2
+ Revision: 162686
- update to 5.90006

* Thu Oct 13 2011 jquelin <jquelin> 1:5.900.40-1.mga2
+ Revision: 154331
- update to 5.90004
- update to 5.90002
- fix url
- update to 5.90001
- update to 5.80033

* Fri Feb 25 2011 jquelin <jquelin> 1:5.800.320-1.mga1
+ Revision: 59665
- update to 5.80032

* Fri Feb 18 2011 jquelin <jquelin> 1:5.800.310-1.mga1
+ Revision: 53750
- update to 5.80031

* Wed Jan 26 2011 jquelin <jquelin> 1:5.800.300-1.mga1
+ Revision: 39984
- mageia rebuild
- imported package perl-Catalyst-Runtime

